You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: tcber...@freebsd.org
Ident:          $FreeBSD: branches/2017Q3/audio/emms/Makefile 441307 2017-05-20 
11:10:13Z tcberner $
Log URL:        
http://beefy2.nyi.freebsd.org/data/103amd64-quarterly/447639/logs/emms-4.3.log
Build URL:      
http://beefy2.nyi.freebsd.org/build.html?mastername=103amd64-quarterly&build=447639
Log:

====>> Building audio/emms
build started at Thu Aug 10 04:44:38 UTC 2017
port directory: /usr/ports/audio/emms
building for: FreeBSD 103amd64-quarterly-job-20 10.3-RELEASE-p20 FreeBSD 
10.3-RELEASE-p20 amd64
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: branches/2017Q3/audio/emms/Makefile 441307 
2017-05-20 11:10:13Z tcberner $
Poudriere version: 3.1.19-61-ga8829ba9
Host OSVERSION: 1200033
Jail OSVERSION: 1003000
Job Id: 20

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1003000
UNAME_v=FreeBSD 10.3-RELEASE-p20
UNAME_r=10.3-RELEASE-p20
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/103amd64-quarterly/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=emms-4.3
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/103amd64-quarterly/ref/.p/pool
MASTERNAME=103amd64-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.19-61-ga8829ba9
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/audio/emms/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/emms/work  
HOME=/wrkdirs/usr/ports/audio/emms/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
SITELISP="/usr/local/share/emacs/site-lisp/emms"  INSTALLINFO="true" 
XDG_DATA_HOME=/wrkdirs/usr/ports/audio/emms/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/audio/emms/work  
HOME=/wrkdirs/usr/ports/audio/emms/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644" 
 BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
EMACS_LIBDIR=share/emacs
EMACS_VER=25.2
EMACS_LIBDIR_WITH_VER=share/emacs/25.2
EMACS_SITE_LISPDIR=share/emacs/site-lisp
EMACS_VERSION_SITE_LISPDIR=share/emacs/25.2/site-lisp
OSREL=10.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/emms"
EXAMPLESDIR="share/examples/emms"
DATADIR="share/emms"
WWWDIR="www/emms"
ETCDIR="etc/emms"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/emms
DOCSDIR=/usr/local/share/doc/emms
EXAMPLESDIR=/usr/local/share/examples/emms
WWWDIR=/usr/local/www/emms
ETCDIR=/usr/local/etc/emms
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=amd64
CONFIGURE_MAX_CMD_LEN=262144
HAVE_COMPAT_IA32_KERN=YES
OPSYS=FreeBSD
OSREL=10.3
OSVERSION=1003000
PYTHONBASE=/usr/local
UID=0
_JAVA_OS_LIST_REGEXP=native\|linux
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
_OSRELEASE=10.3-RELEASE-p20
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
sbsize                   (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>   NOTICE:

The emms port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   emms-4.3 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.1.txz
[103amd64-quarterly-job-20] Installing pkg-1.10.1...
[103amd64-quarterly-job-20] Extracting pkg-1.10.1: .......... done
===>   emms-4.3 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of emms-4.3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>   NOTICE:

The emms port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by emms-4.3 for building
===========================================================================
=======================<phase: checksum       >============================
===>   NOTICE:

The emms port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port

===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by emms-4.3 for building
=> SHA256 Checksum OK for emms-4.3.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>   NOTICE:

The emms port currently does not have a maintainer. As a result, it is
<snip>
[103amd64-quarterly-job-20] `-- Installing gtk3-3.22.15...
[103amd64-quarterly-job-20] |   `-- Installing adwaita-icon-theme-3.22.0...
[103amd64-quarterly-job-20] |   `-- Extracting adwaita-icon-theme-3.22.0: 
.......... done
[103amd64-quarterly-job-20] |   `-- Installing at-spi2-atk-2.24.0...
[103amd64-quarterly-job-20] |   | `-- Installing at-spi2-core-2.24.0...
[103amd64-quarterly-job-20] |   |   `-- Installing libXtst-1.2.3...
[103amd64-quarterly-job-20] |   |   | `-- Installing recordproto-1.14.2...
[103amd64-quarterly-job-20] |   |   | `-- Extracting recordproto-1.14.2: .... 
done
[103amd64-quarterly-job-20] |   |   `-- Extracting libXtst-1.2.3: .......... 
done
[103amd64-quarterly-job-20] |   | `-- Extracting at-spi2-core-2.24.0: 
.......... done
[103amd64-quarterly-job-20] |   `-- Extracting at-spi2-atk-2.24.0: .......... 
done
[103amd64-quarterly-job-20] |   `-- Installing colord-1.2.12...
[103amd64-quarterly-job-20] |   | `-- Installing argyllcms-1.9.2_1...
[103amd64-quarterly-job-20] |   |   `-- Installing libXScrnSaver-1.2.2_3...
[103amd64-quarterly-job-20] |   |   | `-- Installing scrnsaverproto-1.2.2...
[103amd64-quarterly-job-20] |   |   | `-- Extracting scrnsaverproto-1.2.2: ... 
done
[103amd64-quarterly-job-20] |   |   `-- Extracting libXScrnSaver-1.2.2_3: 
.......... done
[103amd64-quarterly-job-20] |   | `-- Extracting argyllcms-1.9.2_1: .......... 
done
[103amd64-quarterly-job-20] |   | `-- Installing sqlite3-3.20.0...
[103amd64-quarterly-job-20] |   | `-- Extracting sqlite3-3.20.0: .......... done
===> Creating groups.
Creating group 'colord' with gid '970'.
===> Creating users
Creating user 'colord' with uid '970'.
[103amd64-quarterly-job-20] |   `-- Extracting colord-1.2.12: .......... done
[103amd64-quarterly-job-20] |   `-- Installing libepoxy-1.4.3...
[103amd64-quarterly-job-20] |   `-- Extracting libepoxy-1.4.3: .......... done
[103amd64-quarterly-job-20] `-- Extracting gtk3-3.22.15: .......... done
[103amd64-quarterly-job-20] `-- Installing libXmu-1.1.2_3,1...
[103amd64-quarterly-job-20] `-- Extracting libXmu-1.1.2_3,1: .......... done
[103amd64-quarterly-job-20] `-- Installing libXpm-3.5.12...
[103amd64-quarterly-job-20] `-- Extracting libXpm-3.5.12: .......... done
[103amd64-quarterly-job-20] `-- Installing libotf-0.9.13_2...
[103amd64-quarterly-job-20] |   `-- Installing libXaw-1.0.13,2...
[103amd64-quarterly-job-20] |   | `-- Installing libXp-1.0.3,1...
[103amd64-quarterly-job-20] |   |   `-- Installing printproto-1.0.5...
[103amd64-quarterly-job-20] |   |   `-- Extracting printproto-1.0.5: .... done
[103amd64-quarterly-job-20] |   | `-- Extracting libXp-1.0.3,1: .......... done
[103amd64-quarterly-job-20] |   `-- Extracting libXaw-1.0.13,2: .......... done
[103amd64-quarterly-job-20] `-- Extracting libotf-0.9.13_2: .......... done
[103amd64-quarterly-job-20] `-- Installing m17n-lib-1.7.0_2...
[103amd64-quarterly-job-20] |   `-- Installing fribidi-0.19.7...
[103amd64-quarterly-job-20] |   `-- Extracting fribidi-0.19.7: .......... done
[103amd64-quarterly-job-20] |   `-- Installing libgd-2.2.4_1,1...
[103amd64-quarterly-job-20] |   `-- Extracting libgd-2.2.4_1,1: .......... done
[103amd64-quarterly-job-20] |   `-- Installing m17n-db-1.7.0...
[103amd64-quarterly-job-20] |   `-- Extracting m17n-db-1.7.0: .......... done
[103amd64-quarterly-job-20] `-- Extracting m17n-lib-1.7.0_2: .......... done
[103amd64-quarterly-job-20] Extracting emacs25-25.2_2,3: .......... done
Message from freetype2-2.8:
The 2.7.x series now uses the new subpixel hinting mode (V40 port's option) as
the default, emulating a modern version of ClearType. This change inevitably
leads to different rendering results, and you might change port's options to
adapt it to your taste (or use the new "FREETYPE_PROPERTIES" environment
variable).

The environment variable "FREETYPE_PROPERTIES" can be used to control the
driver properties. Example:

FREETYPE_PROPERTIES=truetype:interpreter-version=35 \
        cff:no-stem-darkening=1 \
        autofitter:warping=1

This allows to select, say, the subpixel hinting mode at runtime for a given
application.

The controllable properties are listed in the section "Controlling FreeType
Modules" in the reference's table of contents
(/usr/local/share/doc/freetype2/reference/ft2-toc.html, if documentation was 
installed).
Message from perl5-5.24.1_1:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from python27-2.7.13_6:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from ca_root_nss-3.32:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from trousers-0.3.14_1:
To run tcsd automatically, add the following line to /etc/rc.conf:

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

If you want to use tcsd with software TPM emulator, use the following
configuration in /etc/rc.conf:

tcsd_enable="YES"
tcsd_mode="emulator"
tpmd_enable="YES"

To use TPM, add your_account to '_tss' group like following:

# pw groupmod _tss -m your_account
Message from ghostscript9-agpl-base-9.16_5:
Note: in order to use the script "dvipdf", dvips must be installed.
This program is provided by another package print/tex-dvipsk.

FAPIfontmap and FAPIcidfmap in /usr/local/share/ghostscript/9.16/Resource/Init
have to be configured if you want to use FAPI feature.
Message from liblqr-1-0.4.2:
==========================================================================
NOTE: In order to compile examples for liblqr, you will
also need pngwriter port (/usr/ports/graphics/pngwriter).
Examples are located in /usr/local/share/examples/liblqr-1
==========================================================================
Message from dejavu-2.37:
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/share/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
===>   emms-4.3 depends on file: /usr/local/bin/emacs-25.2 - found
===>   Returning to build of emms-4.3
===>   emms-4.3 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_1.txz
[103amd64-quarterly-job-20] Installing gmake-4.2.1_1...
[103amd64-quarterly-job-20] Extracting gmake-4.2.1_1: .......... done
===>   emms-4.3 depends on executable: gmake - found
===>   Returning to build of emms-4.3
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for emms-4.3
===========================================================================
=======================<phase: build          >============================
===>  Building for emms-4.3
gmake[1]: Entering directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.3'
gmake -C lisp
gmake[2]: Entering directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.3/lisp'

In end of data:
emms-player-mpd.el:1314:1:Warning: the function `mapcan' is not known to be
    defined.
gmake[2]: Leaving directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.3/lisp'
gmake -C doc/
gmake[2]: Entering directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.3/doc'
makeinfo --no-split emms.texinfo
/wrkdirs/usr/ports/audio/emms/work/emms-4.3/doc//gpl.texi:1: Prev field of node 
`Copying' not pointed to.
/wrkdirs/usr/ports/audio/emms/work/emms-4.3/doc//emms.texinfo:1188: This node 
(Extending Emms) has the bad Next.
/wrkdirs/usr/ports/audio/emms/work/emms-4.3/doc//emms.texinfo:2424: Next field 
of node `GNU FM' not pointed to (perhaps incorrect sectioning?).
/wrkdirs/usr/ports/audio/emms/work/emms-4.3/doc//gpl.texi:1: This node 
(Copying) has the bad Prev.
makeinfo: Removing output file 
`/wrkdirs/usr/ports/audio/emms/work/emms-4.3/doc/emms.info' due to errors; use 
--force to preserve.
gmake[2]: *** [Makefile:10: emms.info] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.3/doc'
gmake[1]: *** [Makefile:36: docs] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/audio/emms/work/emms-4.3'
*** Error code 1

Stop.
make: stopped in /usr/ports/audio/emms
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to